<app-base-layout [enableMobileHeader]="true" title="{{stockStats?.company?.name}}" [enableDeskTopHeader]="true"
  [enableDeskTopHeaderAction]="true" [headerActionTemplate]="headerActionTemplate">
  <div class="container pb-5">
    <div class="row pb-5" id="content">
      <div class="col-12 col-lg-8 order-1">
        <div class="performance-chart">
          <div class="badge-wrapper mb-3">
            <a class="badge">{{stockStats?.company?.symbol}}</a>
            <a class="badge">{{stockStats?.company?.market_cap_type}}</a>
            <a class="badge">{{stockStats?.company?.sector}}</a>
          </div>
          <div class="card">
            <div class="card-body">
              <!-- <div *ngIf="dataLoaded">
                <app-area-chart (handleMonthPerformance)="changeGraph($event)" [months]="monthsInPerformanceCharts"
                [dataSets]="dataSets" [title]="title" [pointerName]="pointerName"></app-area-chart>
              </div> -->
              <app-area-chart  (handleMonthPerformance)="changeGraph($event)" [months]="monthsInPerformanceCharts"
              [dataSets]="dataSets" [title]="title" [pointerName]="pointerName"></app-area-chart>

              <div class="performance-chart-details">
                <div class="row">
                  <div class="col-12 info">
                    <div *ngIf="stockStats">
                      <span class="price">${{stockStats.company?.current_price}}</span>
                      <app-card-stats class="market-status d-inline-flex" [stats]="stats" [is_positive]="isPositive"></app-card-stats>
                      <!-- <span class="market-status text-success"><img
                          src="assets/icons/triangle.svg">${{stockStats?.company?.price_diff}} ({{getPercentageDiff(stockStats.company?.current_price, stockStats.company?.yesterday_price)}}%)</span> -->
                    </div>
                    <div>
                      <!-- <span class="status text-success">MARKET OPEN</span> -->
                      <!-- <span
                        class="date">({{stockStats?.company_stats?.latestUpdate | date: 'dd-MMM-yyyy'}})</span> -->
                    </div>
                  </div>
                </div>
                <div class="row">
                  <!-- for mobile  -->
                  <div *ngIf="!isDesktop" class="col-6 detail-data d-md-none">
                    <div class="row">
                      <div class="col">
                        <div class="title">Open</div>
                      </div>
                      <div class="col-auto">
                        <div class="values">
                          ${{stockStats?.company_stats?.current_price}}
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col">
                        <div class="title">Prev Close</div>
                      </div>
                      <div class="col-auto">
                        <div class="values">
                          ${{stockStats?.company_stats?.yesterday_price}}
                        </div>
                      </div>
                    </div>
                  </div>
                  <div *ngIf="!isDesktop"  class=" col-6 detail-data d-md-none">
                    <div class="row">
                      <div class="col">
                        <div class="title">Low</div>
                      </div>
                      <div class="col-auto">
                        <div class="values">
                          ${{stockStats?.company_stats?.low}}
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col">
                        <div class="title">High</div>
                      </div>
                      <div class="col-auto">
                        <div class="values">
                          ${{stockStats?.company_stats?.high}}
                        </div>
                      </div>
                    </div>
                  </div>
                  <!-- end for mobile  -->
                  <div class="col-lg-6 col-6 detail-data d-none d-md-block">
                    <div class="row">
                      <div class="col">
                        <div class="title">Open</div>
                      </div>
                      <div class="col-auto">
                        <div class="values" *ngIf="stockStats">
                          {{stockStats.company_stats?.current_price}}
                        </div>
                      </div>
                    </div>
                    </div>
                  <div class="col-lg-6 col-6 d-none d-md-block">

                    <div class="row">
                      <div class="col">
                        <div class="title">Close</div>
                      </div>
                      <div class="col-auto">
                        <div class="values">
                          {{stockStats?.company_stats?.yesterday_price}}
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-6 col-6 detail-data d-none d-md-block">

                    <div class="row">
                      <div class="col">
                        <div class="title">Low</div>
                      </div>
                      <div class="col-auto">
                        <div class="values" *ngIf="stockStats">
                          {{stockStats.company_stats?.low | number : '1.2-2'}}
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-6 col-6 d-none d-md-block">
                    <div class="row">
                      <div class="col">
                        <div class="title">High</div>
                      </div>
                      <div class="col-auto">
                        <div class="values" *ngIf="stockStats">
                          {{stockStats?.company_stats?.high | number : '1.2-2' }}
                        </div>
                      </div>
                    </div>
                  </div>
                  <ng-container *ngFor="let stats of stockStats?.market_stats | keyvalue">
                  <div class="col-lg-6 col-6 d-none detail-data d-md-block" *ngIf="stats.value">
                    <div class="row mb-3">
                      <div class="col">
                        <div class="title" *ngIf="stats.key">{{stats.key}}</div>
                      </div>
                      <div class="col-auto">
                        <div class="values" *ngIf="stats.value">
                          {{stats.value | moneyFormat}}
                        </div>
                      </div>
                    </div>
                  </div>
                  </ng-container>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-4 order-4 order-lg-2" >
        <div class="financial-wrapper">
          <div *ngIf="stockStats?.company?.type != 'et'">
          <div class="header">
            <span>Financials</span>
          </div>
          <div class="separator" style="width: 100%; height: 5px"></div>
          <app-nav-tabs [tabs]="financialTabs" (onClick)="handleOnClick($event)"></app-nav-tabs>
          <div class="market-stats-wrapper">
            <div class="separator" style="width: 100%; height: 23px"></div>
            <div *ngIf="activeFinancialTab==='valuation' && stockStats && stockStats.valuation" class="card">
              <div class="card-body">
                  <ng-container *ngFor="let stats of stockStats.valuation | keyvalue" >
                    <div class="row mb-2 pb-2 border-bottom" *ngIf="stats.value != null && stats.value !='0'">
                      <div class="col" *ngIf="stats.key">
                        <div class="card-title">{{stats.key}}</div>
                      </div>
                      <div class="col-auto" *ngIf="stats.value">
                        <div class="card-value">{{stats.value | moneyFormat}}</div>
                      </div>
                    </div>
                </ng-container>
                <ng-container *ngIf="isvaluation">
                  <h6>No data to display</h6>
                </ng-container>
                
              </div>
            </div>
            <div *ngIf="activeFinancialTab==='technicals' && stockStats.technicals" class="card">
              <div class="card-body">
                <ng-container *ngFor="let stats of stockStats.technicals | keyvalue">

                <div class="row mb-2 pb-2 border-bottom" *ngIf="stats.value != null && stats.value !='0'">
                  <div class="col">
                    <div class="card-title">{{stats.key}}</div>
                  </div>
                  <div class="col-auto">
                    <div class="card-value">{{stats.value | moneyFormat}}</div>
                  </div>
                </div>
                </ng-container>
                <ng-container *ngIf="istechnicals">
                  <h6>No data to display</h6>
                </ng-container>
              </div>
            </div>
            <div *ngIf="activeFinancialTab==='balanceSheet' && stockStats.balance_sheet" class="card">
              <div class="card-body">
                <ng-container *ngFor="let stats of stockStats.balance_sheet | keyvalue">
                  <div class="row mb-2 pb-2 border-bottom" *ngIf="stats.value != null && stats.value !='0'">
                    <div class="col">
                      <div class="card-title">{{stats.key}}</div>
                    </div>
                    <div class="col-auto">
                      <div class="card-value">{{stats.value | moneyFormat}}</div>
                    </div>
                  </div>
                </ng-container>
                <ng-container *ngIf="isbalance_sheet">
                  <h6>No data to display</h6>
                </ng-container>
              </div>
            </div>
            <div *ngIf="activeFinancialTab==='cashflow' && stockStats.cash_flow" class="card">
              <div class="card-body">
                <ng-container *ngFor="let stats of stockStats.cash_flow | keyvalue">
                  <div class="row mb-2 pb-2 border-bottom"  *ngIf="stats.value != null && stats.value !='0'" >
                  <div class="col">
                    <div class="card-title">{{stats.key}}</div>
                  </div>
                  <div class="col-auto" >
                    <div class="card-value">{{stats.value | moneyFormat}}</div>
                  </div>
                </div>
                </ng-container>
                <ng-container *ngIf="iscash_flow">
                  <h6>No data to display</h6>
                </ng-container>
              </div>
            </div>
            <div *ngIf="activeFinancialTab==='income_statement' && stockStats.income_statement" class="card">
              <div class="card-body">
                <ng-container *ngFor="let stats of stockStats.income_statement | keyvalue">
                  <div class="row mb-2 pb-2 border-bottom" *ngIf="stats.value != null && stats.value !='0'">
                  <div class="col">
                    <div class="card-title">{{stats.key}}</div>
                  </div>
                  <div class="col-auto">
                    <div class="card-value">{{stats.value | moneyFormat}}</div>
                  </div>
                </div>
                </ng-container>
                <ng-container *ngIf="isincome_statement">
                  <h6>No data to display</h6>
                </ng-container>
              </div>
            </div>
            <div *ngIf="activeFinancialTab==='sharedstats' && stockStats.sharedstats" class="card">
              <div class="card-body">
                <ng-container *ngFor="let stats of stockStats.sharedstats | keyvalue">
                  <div class="row mb-2 pb-2 border-bottom" *ngIf="stats.value != null && stats.value !='0'">
                  <div class="col">
                    <div class="card-title">{{stats.key}}</div>
                  </div>
                  <div class="col-auto">
                    <div class="card-value">{{stats.value | moneyFormat}}</div>
                  </div>
                </div>
                </ng-container>
                <ng-container *ngIf="issharedstats">
                  <h6>No data to display</h6>
                </ng-container>
              </div>
            </div>
            <div class="separator" style="width: 100%; height: 16px"></div>
          </div>
        </div>
           <div *ngIf="stockStats?.company?.type == 'et' || stockStats?.company?.type == 'ETF'">
          <div class="header mb-3">
            <h5>Top 10 Holdings</h5>
          </div>
          <div class="separator" style="width: 100%; height: 5px"></div>
          <div class="card">
              <div class="card-body">
                <ng-container *ngFor="let stats of stockStats.top_10_holdings | keyvalue">
                  <div class="row mb-2 pb-2 border-bottom" *ngIf="stats.value != null && stats.value !='0'">
                  <div class="col">
                    <div class="card-title" style="color:#9e9e9e; font-size:14px;font-weight: 400;">{{stats.key}}</div>
                  </div>
                  <div class="col-auto">
                    <div class="card-value">{{stats.value}} %</div>
                  </div>
                </div>
                </ng-container>
                <div *ngIf="!stockStats?.top_10_holdings">
                  <h6>no records to display</h6>
                </div>
              </div>
            </div>
            <div class="separator" style="width: 100%; height: 5px"></div>
        </div>
            <!-- <div class="row d-none">
              <div class="col">
                <button class="btn btn-buy"
                  (click)="openBuyStocksModal(BuyStocksModal,tradeActionOption.BUY)">INVEST</button>
              </div>
              <div class="col-6">
                <button class="btn btn-sell"
                  (click)="openBuyStocksModal(BuyStocksModal ,tradeActionOption.SELL)">Sell</button>
              </div>
            </div> -->
        </div>
      </div>
    
  

      <div class="col-12 col-lg-12 order-2">
        <div class="market-stats-wrapper d-lg-none">
          <div class="separator" style="width: 100%; height: 28px"></div>
          <div class="header">
            <span>Market Stats</span>
          </div>
          <div class="separator" style="width: 100%; height: 15px"></div>
          <div class="card">
            <div class="card-body">
                <ng-container *ngFor="let stats of stockStats?.market_stats | keyvalue">
                  <div class="row mb-3" *ngIf="stats.value != null && stats.value !='0'">
                <div class="col">
                  <div class="card-title">{{stats.key}}</div>
                </div>
                <div class="col-auto">
                  <div class="card-value">{{stats.value | moneyFormat}}</div>
                </div>
              </div>
                </ng-container>
              </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-8 order-3 order-lg-3" *ngIf="stockStats?.company_stats?.about">
        <div class="separator" style="width: 100%; height: 28px"></div>
        <div class="about-wrapper">
          <div class="header">
            <span>About</span>
          </div>
          <div class="separator" style="width: 100%; height: 15px"></div>
          <div class="card">
            <div class="card-body">
              <div class="card-title" [ngClass]="{'show-less': showShortDesciption}">
                {{stockStats?.company_stats?.about}}
              </div>
              <button type="button" class="read-more btn btn-light" (click)="alterDescriptionText()">
                {{ showShortDesciption ? 'ReadMore': 'ReadLess' }}
              </button>
            </div>
          </div>
        </div>
        <div class="separator" style="width: 100%; height: 26px"></div>
      </div>
      <div class="col-12 col-lg-8 order-5 order-lg-5" *ngIf="companyNews.length">
        <div class="news-wrapper">
          <div class="row card-list-header">
            <div class="separator" style="width: 100%; height: 28px"></div>
            <div class="col card-list-title">
              <span>News</span>
            </div>
            <div class="col-auto card-list-action d-md-inline d-none">
              <div class="scroll-btn" *ngIf="isScroll2">
                <span (click)="watchScroll('L')" [ngClass]="{'disabled': !scrollLeft100}"><i></i></span>
                <span (click)="watchScroll('R')" [ngClass]="{'disabled': !scrollRight100}"><i></i></span>
              </div>
              <!-- <a (click)="handleClickViewNewsAll()">View all</a> -->
            </div>
            <div class="separator" style="width: 100%; height: 14px"></div>
          </div>
          <div class="card-wrapper" id="newsScroll" #newsScroll>
            <app-news-card *ngFor="let news_data of companyNews" newsUrl="{{news_data.url}}" newsTitle="{{news_data.headline}}"
              newsDate="{{news_data.createdAt | date: 'dd/MMM/yyyy'}}"></app-news-card>
          </div>
        </div>
      </div>
      <div class="col-12 order-6  bottom-fixed-btn d-lg-none">
        <div class="row">
          <div class="col-2 col-2 text-center d-none">
            <div ngbDropdown>
              <button class="btn btn-link" id="dropdownConfig" ngbDropdownToggle><img
                  src="assets/icons/3dot-icons.svg"></button>
              <div ngbDropdownMenu aria-labelledby="dropdownConfig">
                <button ngbDropdownItem (click)=navigateTransationHistory()>Transaction History</button>
                <button ngbDropdownItem (click)="comingSoon()">SIP</button>
                <button ngbDropdownItem (click)="comingSoon()">Capital gains statement</button>
              </div>
            </div>
          </div>
  <!-- <button class="btn btn-primart" (click)="openTermsModal(confermModal)">heelo</button> -->

          <!-- <div class="col">
            <button class="btn btn-buy" (click)="openBuyStocksModal(BuyStocksModal, tradeActionOption.BUY)">INVEST</button>
          </div> -->
          <!-- <div class="col-6">
            <button class="btn btn-sell"
              (click)="openBuyStocksModal(BuyStocksModal, tradeActionOption.SELL)">Sell</button>
          </div> -->

        </div>
      </div>
    </div>

  </div>
  <ng-template #BuyStocksModal let-c="close" let-d="dismiss">
    <div class="BuyStocksmodal">
      <div class="modal-header">
        <div class="header">
          <h4 class="modal-title pb-1" id="modal-basic-title">{{stockPreOrderDetail.name}}</h4>
          <span>${{stockPreOrderDetail.price | number : '1.2-2'}}</span><span class="px-3 clr"
            [ngClass]="{'gain-color': stockPreOrderDetail.priceDiff > 0 , 'loss-color':stockPreOrderDetail.priceDiff < 0  }">{{stockPreOrderDetail.priceDiff | number : '1.2-2' | signCurrency}}</span><span
            class="clr"
            [ngClass]="{'gain-color': stockPreOrderDetail.priceDiffPercentage > 0 , 'loss-color':stockPreOrderDetail.priceDiffPercentage < 0  }">
            {{stockPreOrderDetail.priceDiffPercentage | number : '1.2-2'}}%</span>
        </div>
        <button type="button" class="close" (click)="closeModal()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <app-user-info-dropdown></app-user-info-dropdown>
      <form [formGroup]="orderForm" (ngSubmit)="onOrderFormSubmit(confermModal)" *ngIf="stockPreOrderDetail">

        <div class="modal-body overflow-auto">

          <div class="form-group mr-3 pt-3">
            <input type="number" class="form-control" min="1" step="1" formControlName="quantity" placeholder="Quantity" />
            <span class="has-error" *ngIf="!orderForm.get('quantity').valid && (orderForm.get('quantity').touched || orderForm.get('quantity').dirty )">
              Quantity is invalid
            </span>
          </div>

          <div class="row">
            <div class="col-6">
              <div class="form-group mr-3 pt-3">
                <select class="form-control" name="orderType" formControlName="orderType">
                  <option *ngFor="let orderType of stockPreOrderDetail.orderType" [value]="orderType">{{orderType}}
                  </option>
                </select>
              </div>
            </div>
            <div class="col-6">
              <div class="from-group pt-3">
                <div class="input-group">
                  <input type="number" class="form-control" formControlName="price" placeholder="0" />
                  <div class="input-group-append">
                    <span class="input-group-text">$</span>
                  </div>
                </div>
                <div class="separator" style="width: 100%; height: 26px"></div>
              </div>
            </div>
            <div class="col-6" *ngIf="stopPriceSection">
              <div class="from-group pt-3">
                <div class="input-group">
                  <input type="number" class="form-control" formControlName="stopPrice" placeholder="stop Price" />
                  <div class="input-group-append">
                    <span class="input-group-text">$</span>
                  </div>
                </div>
                <div class="separator" style="width: 100%; height: 26px"></div>
              </div>
            </div>
          </div>
          <!-- <div class="from-group pt-3">
            <div class="input-group">
              <input type="number" class="form-control" formControlName="stopPrice" placeholder="stop Price" />
              <div class="input-group-append">
                <span class="input-group-text">$</span>
              </div>
            </div>
            <div class="separator" style="width: 100%; height: 26px"></div>
          </div> -->

          <div class="advanceOption" *ngIf="advanceOptionText" (click)="advanceOption()">Advanced Option</div>
          <div *ngIf="advanceOptionField">
            <div class="row">
              <div class="col-6">
                <div class="form-group pt-3">
                  <select class="form-control" style="width: 100%;" name="duration" formControlName="duration">
                    <option *ngFor="let duration of stockPreOrderDetail.duration" [value]="duration">{{duration}}
                    </option>
                  </select>
                </div>
              </div>
            </div>
          </div>
          <div class="content">
            <div class="row mt-3">
              <div class="col-12">
                <div class="pr-1 value gain-color">${{stockPreOrderDetail.accountBalance}}</div>
                <div class="title">Cash Available <a (click)="clickOnMaxBuy()"><small>(Max buy : {{getMaxBuyQty()}} Shares)</small></a></div>
              </div>

            </div>
            <div class="d-flex justify-content-between mt-4">
              <div class="mr-3">Invested Qty: {{stockPreOrderDetail.quantity}}</div>
              <div>Avg Buy Price: <div class="d-inline market-status mr-3"
                  [ngClass]="{'gain-color': stockPreOrderDetail.avgPrice > 0 , 'loss-color':stockPreOrderDetail.avgPrice < 0  }">
                  {{stockPreOrderDetail.avgPrice | number : '1.2-2' | signCurrency}}</div>
              </div>
            </div>
          </div>
          <!-- <div class="form-group mr-3 pt-3">
            <select class="form-control input" style="width: 100px;" name="duration"  formControlName="duration" >
              <option *ngFor="let duration of stockPreOrderDetail.duration" [value]="duration" >{{duration}}</option>
            </select>
          </div> -->
        </div>
        <div class="modal-footer">
        <!-- <div class="content">
          <div class="d-flex">
            <div class="mr-3">Qty: {{stockPreOrderDetail.quantity}}</div>
            <div>Buy Price: <div class="d-inline market-status mr-3" [ngClass]="{'gain-color': stockPreOrderDetail.avgPrice > 0 , 'loss-color':stockPreOrderDetail.avgPrice < 0  }" >{{stockPreOrderDetail.avgPrice | number : '1.2-2' | signCurrency}}</div></div>
          </div>
          <div>
            <h5 class="pr-1">${{stockPreOrderDetail.accountBalance}}</h5>
            <span>Wallet Amount</span>
          </div>
        </div> -->
        <button type="submit" class="btn"
          [ngClass]="{'btn-green': tradeAction === 'BUY', 'btn-red': tradeAction === 'SELL' }">{{getActionText(tradeAction)}}</button>
        <button type="button" class="btn btn-terms" (click)="openTermsModal(termsModal)"><img
            src="assets/icons/info-icon.svg" class="mr-2">Term Definitions</button>

          </div>
      </form>
    </div>
  </ng-template>

  <ng-template #SuccessModal let-c="close" let-d="dismiss">
    <div class="BuyStocksmodal">
      <div class="modal-header">
        <div class="header">
          <span class=" pb-1" id="modal-basic-title">Purchase request for {{stockStats?.company?.symbol}} is
            submitted.</span>
          <span class="pb-1"> You can check status for this under <span
              style="text-decoration-line: underline; color: blue; cursor: pointer;"
              (click)="handleNavigateOrderStatus()">Order</span></span>
          <!-- <span>$131.75</span><span class="px-3 clr">+$81.52</span><span class="clr">1.13%</span> -->
        </div>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!-- <div class="modal-body d-flex">
        <div class="form-group mr-3 pt-3">
          <input type="text" class="form-control" formControlName="quantity" placeholder="Quantity" />
        </div>
      </div> -->
    </div>
  </ng-template>

     <!-- confermation modal -->
     <ng-template #confermModal let-c="close" let-d="dismiss">
      <div class="conferm-modal">
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Confirmation</h4>
        <!-- <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button> -->
      </div>
      <div class="modal-body">
        <div class="basic-info">
          <div class="row mb-3">
            <div class="col-2">
              <span [ngClass]="(tradeAction == 'SELL')? 'selling-status':'buying-status'" >{{tradeAction}}</span>
            </div>
            <div class="col">
              <div class="qty"> Qty : {{orderData.quantity}}</div>
            </div>
          </div>
          <div class="row mb-3">
            <div class="col">
            <div class="title">
              {{stockPreOrderDetail.name}}
            </div>
          </div>
          </div>
          <div class="row mb-5">
            <div class="col">
              <span class="text mr-3">Estimated Total</span> <span class="value">${{orderData.orderType != 'Market'? (orderData.price * orderData.quantity) : (stockStats.company?.current_price * orderData.quantity) | number:'1.0-2' }}</span>
            </div>
            <div class="col-auto">
              <span class="text mr-3">{{orderData.orderType}}</span> <span class="value">{{orderData.duration}}</span>
            </div>
          </div>

          <div class="row">
            <div class="col-12">
              <button class="btn btn-buy" style="background: #196be5 0% 0% no-repeat padding-box;" [disabled]="isSubmitClicked" (click)="onOrderConfirm()">Confirm Trade</button>
            </div>
            <div class="col-12 text-center mt-2">
              <button type="button" class="btn btn-link go-back-btn" (click)="onGoBackConfirm(BuyStocksModal)"><img src="assets/icons/icon-arrow.png" class="mr-2">Go back</button>

            </div>
          </div>

        </div>
      </div>
    </div>
    </ng-template>
</app-base-layout>


<ng-template #headerActionTemplate>
  <div *ngIf="watchListAdded">
  <a class="header-action align-items-center" (click)="handleWatchlistClick(selectWatchList)">
    <div>
      <img src="assets/icons/watchlist-add-heart-active.svg" style="max-width:24px" alt="" />
    </div>
    </a>
    </div>
  <div *ngIf="!watchListAdded">
  <a class="header-action align-items-center" (click)="handleWatchlistClick(selectWatchList)">
    <!-- <div>
      <img src="assets/icons/watchlist-add-heart-active.svg" style="max-width:24px" alt="" />
    </div> -->
    <div class="d-flex align-items-center" style="cursor: pointer;">
      <img src="assets/icons/watchlist-add-heart.svg" style="max-width:24px" alt="" /> <span class="d-none d-md-flex ml-2" style="color:#878787">Watchlist</span>
    </div>
      <!-- <img src="assets/icons/watchlist-add-heart-active.svg" style="max-width:24px" alt="" /> -->
    </a>
    </div>
</ng-template>
<!-- watchlist modal -->
<ng-template #selectWatchList let-modal let-c="close" let-d="dismiss">
  <div class="selectWatchList">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">Select Watchlist</h4>
      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="mt-4" *ngIf="watchlistLoading">Loading...</div>
      <ng-container *ngIf="!watchlistLoading">
        <div class="watchDivList d-flex justify-content-between align-items-center"
          *ngFor="let watchlist of watchlists" [ngClass]="{'active': watchlistactive == watchlist.isAdded}"
          (click)="handleAddRemoveToWatchlist(watchlist.link,watchlist.isAdded)">{{watchlist.label}} <button
            class="btn"><img src= "{{
            watchlistactive === watchlist.isAdded ? 'assets/icons/watchlist-add-heart-active.svg' : 'assets/icons/watchlist-add-heart.svg' }}"></button>
          </div>
          <div class="text-center" *ngIf="watchlists.length == 0">
            <h6>No watchlist added</h6>
          </div>
      </ng-container>
    </div>
    <div class="modal-footer">
      <button type="button" *ngIf="watchlists.length > 0" class="btn btn-link w-100" (click)="modal.dismiss('Save click')">Done</button>
      <a type="button" class="btn btn-link w-100" *ngIf="watchlists.length == 0" (click)="modal.dismiss('Save click')" [routerLink]="['/watchlist']">
        Add Watchlist
      </a>
    </div>
  </div>
</ng-template>

<!-- terms and condition modal -->
<ng-template #termsModal let-c="close" let-d="dismiss">
  <div class="terms-defination-modal">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title"><img src="assets/icons/info-icon.svg" class="mr-2">Term Definitions</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div *ngFor="let termsDefination of termsDefinationData">
    <div class="heading">{{termsDefination.heading}}</div>
    <div class="text">{{termsDefination.text}}</div>
    </div>
  </div>
</div>
</ng-template>
<app-loader *ngIf="stockDetailsLoading"></app-loader>
